AbstractNotificationLoggerAgent (Mule ESB 2.2.1 API)
Keywords: org.mule.agent.AbstractNotificationLoggerAgent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.agent
Class AbstractNotificationLoggerAgent

    java.lang.Object
      org.mule.AbstractAgent
          org.mule.agent.AbstractNotificationLoggerAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

Direct Known Subclasses:
  EndpointNotificationLoggerAgent, JmxServerNotificationAgent, Log4jNotificationLoggerAgent

    public abstract class AbstractNotificationLoggerAgent

extends AbstractAgent

`AbstractNotificationLoggerAgent` Receives Mule server notifications and logs them and can optionally route them to an endpoint. This agent will only receive notifications for notification events that are enabled. The notifications that are enabled are determined by the `MuleContextBuilder` that is used or configuration mechanisms that may override these values.

Field Summary
`protected Log` | `logger` The logger used for this class

Fields inherited from class org.mule.AbstractAgent
`muleContext, name`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`protected` | `AbstractNotificationLoggerAgent(String name)`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`protected abstract void` | `doInitialise()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isIgnoreAdminNotifications()`
`boolean` | `isIgnoreComponentMessageNotifications()`
`boolean` | `isIgnoreComponentNotifications()`
`boolean` | `isIgnoreConnectionNotifications()`
`boolean` | `isIgnoreCustomNotifications()`
`boolean` | `isIgnoreEndpointMessageNotifications()`
`boolean` | `isIgnoreManagementNotifications()`
`boolean` | `isIgnoreManagerNotifications()`
`boolean` | `isIgnoreMessageNotifications()`
`boolean` | `isIgnoreModelNotifications()`
`boolean` | `isIgnoreSecurityNotifications()`
`protected abstract void` | `logEvent(ServerNotification e)`
`void` | `registered()`
`void` | `setIgnoreAdminNotifications(boolean ignoreAdminNotifications)`
`void` | `setIgnoreComponentMessageNotifications(boolean ignoreComponentMessageNotifications)`
`void` | `setIgnoreComponentNotifications(boolean ignoreComponentNotifications)`
`void` | `setIgnoreConnectionNotifications(boolean ignoreConnectionNotifications)`
`void` | `setIgnoreCustomNotifications(boolean ignoreCustomNotifications)`
`void` | `setIgnoreEndpointMessageNotifications(boolean ignoreEndpointMessageNotifications)`
`void` | `setIgnoreManagementNotifications(boolean ignoreManagementNotifications)`
`void` | `setIgnoreManagerNotifications(boolean ignoreManagerNotifications)`
`void` | `setIgnoreMessageNotifications(boolean ignoreMessageNotifications)`
`void` | `setIgnoreModelNotifications(boolean ignoreModelNotifications)`
`void` | `setIgnoreSecurityNotifications(boolean ignoreSecurityNotifications)`
`void` | `start()`
`void` | `stop()`
`void` | `unregistered()`

Methods inherited from class org.mule.AbstractAgent
`getDependentAgents, getDescription, getName, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  The logger used for this class

Constructor Detail

### AbstractNotificationLoggerAgent

    protected AbstractNotificationLoggerAgent(String name)

Method Detail

### start

    public void start()
               throws MuleException

  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Throws:
    `MuleException`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

### registered

    public void registered()

### unregistered

    public void unregistered()

### isIgnoreManagerNotifications

    public boolean isIgnoreManagerNotifications()

### setIgnoreManagerNotifications

    public void setIgnoreManagerNotifications(boolean ignoreManagerNotifications)

### isIgnoreMessageNotifications

    public boolean isIgnoreMessageNotifications()

### setIgnoreMessageNotifications

    public void setIgnoreMessageNotifications(boolean ignoreMessageNotifications)

### isIgnoreModelNotifications

    public boolean isIgnoreModelNotifications()

### setIgnoreModelNotifications

    public void setIgnoreModelNotifications(boolean ignoreModelNotifications)

### isIgnoreComponentNotifications

    public boolean isIgnoreComponentNotifications()

### setIgnoreComponentNotifications

    public void setIgnoreComponentNotifications(boolean ignoreComponentNotifications)

### isIgnoreSecurityNotifications

    public boolean isIgnoreSecurityNotifications()

### setIgnoreSecurityNotifications

    public void setIgnoreSecurityNotifications(boolean ignoreSecurityNotifications)

### isIgnoreManagementNotifications

    public boolean isIgnoreManagementNotifications()

### setIgnoreManagementNotifications

    public void setIgnoreManagementNotifications(boolean ignoreManagementNotifications)

### isIgnoreCustomNotifications

    public boolean isIgnoreCustomNotifications()

### setIgnoreCustomNotifications

    public void setIgnoreCustomNotifications(boolean ignoreCustomNotifications)

### isIgnoreAdminNotifications

    public boolean isIgnoreAdminNotifications()

### setIgnoreAdminNotifications

    public void setIgnoreAdminNotifications(boolean ignoreAdminNotifications)

### isIgnoreConnectionNotifications

    public boolean isIgnoreConnectionNotifications()

### setIgnoreConnectionNotifications

    public void setIgnoreConnectionNotifications(boolean ignoreConnectionNotifications)

### isIgnoreComponentMessageNotifications

    public boolean isIgnoreComponentMessageNotifications()

### setIgnoreComponentMessageNotifications

    public void setIgnoreComponentMessageNotifications(boolean ignoreComponentMessageNotifications)

### isIgnoreEndpointMessageNotifications

    public boolean isIgnoreEndpointMessageNotifications()

### setIgnoreEndpointMessageNotifications

    public void setIgnoreEndpointMessageNotifications(boolean ignoreEndpointMessageNotifications)

### initialise

    public final void initialise()
                          throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Specified by:
    `initialise` in class `AbstractAgent`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### doInitialise

    protected abstract void doInitialise()
                                  throws InitialisationException

  Throws:
    `InitialisationException`

### logEvent

    protected abstract void logEvent(ServerNotification e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.